Package org.wildfly.plugin.provision

## Class GlowConfig

- java.lang.Object
- - org.wildfly.plugin.provision.GlowConfig

-     public class GlowConfig
      extends Object

  Author:
    jdenise

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlowConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<String>` | `getAddOns()` |
    `String` | `getContext()` |
    `Set<String>` | `getExcludedArchives()` |
    `Set<String>` | `getLayersForJndi()` |
    `String` | `getProfile()` |
    `String` | `getVersion()` |
    `boolean` | `isFailsOnError()` |
    `boolean` | `isPreview()` |
    `boolean` | `isSuggest()` |
    `boolean` | `isVerbose()` |
    `void` | `setAddOns​(Set<String> addOns)` |
    `void` | `setContext​(String context)` |
    `void` | `setExcludedArchives​(Set<String> excludedArchives)` |
    `void` | `setFailsOnError​(boolean failsOnError)` |
    `void` | `setLayersForJndi​(Set<String> layersForJndi)` |
    `void` | `setPreview​(boolean preview)` |
    `void` | `setProfile​(String profile)` |
    `void` | `setSuggest​(boolean suggest)` |
    `void` | `setVerbose​(boolean verbose)` |
    `void` | `setVersion​(String version)` |
    `org.wildfly.glow.Arguments` | `toArguments​(Path deployment, Path inProvisioning, String layersConfigurationFileName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlowConfig

          public GlowConfig()

  - ### Method Detail

    - #### toArguments

          public org.wildfly.glow.Arguments toArguments​(Path deployment,
                                                        Path inProvisioning,
                                                        String layersConfigurationFileName)

    - #### getContext

          public String getContext()

      Returns:
        the execution context

    - #### setContext

          public void setContext​(String context)

      Parameters:
        `context` - the execution context to set

    - #### getProfile

          public String getProfile()

      Returns:
        the profile

    - #### setProfile

          public void setProfile​(String profile)

      Parameters:
        `profile` - the profile to set

    - #### getAddOns

          public Set<String> getAddOns()

      Returns:
        the userEnabledAddOns

    - #### setAddOns

          public void setAddOns​(Set<String> addOns)

      Parameters:
        `addOns` - the userEnabledAddOns to set

    - #### getVersion

          public String getVersion()

      Returns:
        the version

    - #### setVersion

          public void setVersion​(String version)

      Parameters:
        `version` - the version to set

    - #### isSuggest

          public boolean isSuggest()

      Returns:
        the suggest

    - #### setSuggest

          public void setSuggest​(boolean suggest)

      Parameters:
        `suggest` - the suggest to set

    - #### getLayersForJndi

          public Set<String> getLayersForJndi()

      Returns:
        the layersForJndi

    - #### setLayersForJndi

          public void setLayersForJndi​(Set<String> layersForJndi)

      Parameters:
        `layersForJndi` - the layersForJndi to set

    - #### isFailsOnError

          public boolean isFailsOnError()

      Returns:
        the failsOnError

    - #### setFailsOnError

          public void setFailsOnError​(boolean failsOnError)

      Parameters:
        `failsOnError` - the failsOnError to set

    - #### setPreview

          public void setPreview​(boolean preview)

      Parameters:
        `preview` - the preview to set

    - #### isPreview

          public boolean isPreview()

      Returns:
        the preview

    - #### getExcludedArchives

          public Set<String> getExcludedArchives()

      Returns:
        the excludedArchives

    - #### setExcludedArchives

          public void setExcludedArchives​(Set<String> excludedArchives)

      Parameters:
        `excludedArchives` - the excludedArchives to set

    - #### setVerbose

          public void setVerbose​(boolean verbose)

      Parameters:
        `verbose` - the verbose to set

    - #### isVerbose

          public boolean isVerbose()

      Returns:
        the verbose